POST
/file-tasksList asynchronous file tasks
Lists asynchronous file tasks available to the authenticated user. Use cursor or beforeCursor to navigate pages, and query to filter the results; adminView includes items the authenticated user can access through an admin role.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Filters and pagination options for the file task list.
adminViewbooleanoptional
If `true`, the list includes all items the admin has global permissions to access by virtue of their admin role.
beforeCursorstringoptional
Set to `prevCursor` from the previous call to list the previous page. Ignored when `cursor` is also supplied.
cursorstringoptional
Set cursor to `nextCursor` returned by the previous call to list items in the next page.
limitintegeroptional
Maximum number of items to return per page.
querystringoptional
Optional text filter to search within the listed items (e.g. filter members by name).
200Returns a paginated list of file tasks.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when the authenticated user does not have permission to access the requested file tasks.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when the authenticated user does not have permission to list the requested file tasks. Set adminView to true only when the authenticated user has admin-level access to the items it includes.